
#include <base/string.h>

#include <ui/applic.h>
#include <ui/stddlg.h>

#include "Exceptn.h"

/////////////////////////////////////////////////////////////////////////////
// [ CL_Exception implementation

void CL_Exception::Display() const
// [1.0.0]
{
	CL_String s;
	s += "A ";
	s += ClassName();
	s += " was thrown by ";
	s += _where;
	s += "\n\nError: ";
	s += _why;
	s += "\n\nAdditional info: ";
	s += _additionalInfo;

	UI_StandardDialog(s, "Runtime Exception",
		YACLApp()->MainWindow(),
		UIS_Ok, UIS_Error);
}

// ] CL_Exception implementation
/////////////////////////////////////////////////////////////////////////////

